/******************************************************************************

   FILE				: atd.h

   AUTHOR			: Axiom Manufacturing
						  Spencer Ruggles

	PURPOSE			: Mfg Test for EVB51JM128 board, x427

 ******************************************************************************

  Purpose:

  header file for atd.c

******************************************************************************/

#define DisableATD	0xF;			// disable ATD module

#define ch0		0x0;					// ATD Ch0 
#define ch1		0x1;					// ATD Ch1 select
#define ch2		0x2;					// ATD Ch2 select
#define ch3		0x3;					// ATD Ch3 select
#define ch8		0x8;					// ATD Ch8 select
#define ch9		0x9;					// ATD Ch9 select
#define ch10	0xA;					// ATD Ch10 select
#define ch11	0xB;					// ATD Ch11 select


/******************** Function Prototypes ********************/
void adcinit(void);					// initialize ATD module
void ATDTest(byte);					// convert selected ATD input and display on COM1

byte adconv(byte);					// convert selected ATD channel 

