/******************************************************************************

   FILE				: peripheral.h

   AUTHOR			: Axiom Manufacturing
						  Spencer Ruggles

	PURPOSE			: Mfg Test for EVB51JM128 board, x427

 ******************************************************************************

  Purpose:

  header file for peripheral.c

******************************************************************************/


#define nclk	0x00;				// disable timer
#define bclk	0x01;				// busclk select
#define div2	0x01;				// TPM prescalar div 2
#define div4	0x02;				// TPM prescalar div 4
#define div8	0x03;				// TPM prescalar div 8
#define div16	0x04;				// TPM prescalar div 16


/********** Function Prototypes **********/
void init(void);					// init MCU 
void dly2(void);					// delay function
void ledtest(void);				// blink LED1-LED4
void swtest(void);				// test PBSW1-4 and LED5-8
void BTest(void);					// Buzzer Test
void LCDTest(void);				// LCD Port Test
void CANTest();					// CAN Port Test
